Bug 861251 - please backport YUM’s --setopt=exit_on_lock=true feature
please backport YUM’s --setopt=exit_on_lock=true feature
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: yum (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: packaging-team-maint
BaseOS QE Security Team
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2012-09-27 19:35 EDT by Christoph Anton Mitterer
Modified: 2014-01-21 01:25 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-04-15 16:52:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Christoph Anton Mitterer 2012-09-27 19:35:03 EDT

I'm currently maintaining check_yum[0] which is THE Nagios/Icinga check for the YUM package update status.

A rather important feature of check_yum is its "--no-warn-on-lock" option, which makes that invocations of check_yum that fail (due to an already running/blocking YUM) are ignored.
Otherwise one would get many false positives.

Now the thing is that (since some time?) YUM blocks, when another YUM process is already running (which is undesired for check_yum, as it will run into a timeout, which must be considered an error).

Now recent yum versions support a feature (--setopt=exit_on_lock=true) which makes YUM exit, when the lock cannot be gained.

In a thread[1] on yum-devel, James Antill suggested me that it should be very easy to backport that feature for RHEL5 and that I should ask here for it.


[0] https://code.google.com/p/check-yum/
[1] http://lists.baseurl.org/pipermail/yum-devel/2012-September/009641.html
Comment 2 James Antill 2013-04-15 16:52:27 EDT
 RHEL-6 already has exit_on_lock, RHEL-5 is unlikely to get any backported features at this point.

Note You need to log in before you can comment on or make changes to this bug.